由用VS05编写的程序引发的问题.

stcrs 2006-10-30 10:49:02
是否一定要装VS05及其所需组件,才能运行用VS05编写的程序?
为什么我运行用VS05编写的C#程序连接而成的.EXE文件之后,系统要求我安装.NET FRAMEWORK V2.0 50110
如果是这样的话,用VS05编写的软件不就无法在没安装VS05的机子上运行?那VS .NET编写的程序
我是刚入门的菜鸟,希望各位帮助...先谢谢了..
...全文
75 7 打赏 收藏 举报
写回复
7 条回复
切换为时间正序
请发表友善的回复…
发表回复
stcrs 2006-10-30
  • 打赏
  • 举报
回复
恩,谢谢了~~
liujia_0421 2006-10-30
  • 打赏
  • 举报
回复
TO:那如果是自己写的一个软件要发布出去,但是,别人的电脑上没安装.net framework 2.0那不就不可以用了...

是的,不能用的,必须有Framwork..
  • 打赏
  • 举报
回复
你可以选择部署项目时,将.net framework一起部署到你的项目中。那么客户安装时如果没有.net framework时,可以自动安装上。
当然winform或webform(是指通过setup.exe)的部署还是有点不同的。
stcrs 2006-10-30
  • 打赏
  • 举报
回复
那如果是自己写的一个软件要发布出去,但是,别人的电脑上没安装.net framework 2.0那不就不可以用了...
qiri07 2006-10-30
  • 打赏
  • 举报
回复
NET FRAMEWORK V2.0 时程序运行时需要的环境
vs05 是编译环境
ivorstar 2006-10-30
  • 打赏
  • 举报
回复
装了.net framework 2.0的运行时就可以了,
就是这个东东
http://www.microsoft.com/downloads/details.aspx?FamilyID=0856eacb-4362-4b0d-8edd-aab15c5e04f5&DisplayLang=en
yufenfeila 2006-10-30
  • 打赏
  • 举报
回复
必须安装.NET FRAMEWORK V2.0 50110,才能运行VS05编写的软件
但是.NET FRAMEWORK只有20多M,它并不是VS05
发帖
C#

10.9w+

社区成员

.NET技术 C#
社区管理员
  • C#
  • Web++
  • by_封爱
加入社区
帖子事件
创建了帖子
2006-10-30 10:49
社区公告

让您成为最强悍的C#开发者